send-kakao-friendtalk
curl --request POST \
--url https://api.notifly.tech/messages/kakao-friendtalk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": false,
"recipientList": [
{
"recipientNo": "01012345678",
"content": {
"text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다."
}
}
]
}
'import requests
url = "https://api.notifly.tech/messages/kakao-friendtalk"
payload = {
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": False,
"recipientList": [
{
"recipientNo": "01012345678",
"content": { "text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다." }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'example_project_1234567890abcdef',
messageType: 'text',
isAd: false,
recipientList: [{recipientNo: '01012345678', content: {text: '안녕하세요! 새로운 이벤트 소식을 알려드립니다.'}}]
})
};
fetch('https://api.notifly.tech/messages/kakao-friendtalk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"data": null,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Internal Server Error"
}메시징
카카오 친구톡 발송(~2026.05.31 지원중단)
카카오 친구톡 메시지를 발송합니다. 친구톡 메시지는 수신자 목록, 광고 여부, 메시지 유형 등을 설정하여 전송합니다.
POST
/
messages
/
kakao-friendtalk
send-kakao-friendtalk
주의 사항
- HTTP API를 이용한 카카오 친구톡 발송은 노티플라이 카카오톡 자체 발송 설정이 되어있을 경우에만 가능합니다.
- 아직 API를 이용한 발송 결과에 대한 통계는 UI로 제공되지 않습니다. 정보가 필요하실 경우 contact@notifly.tech으로 문의해주세요.
친구톡 광고 메시지 대체 발송 시 주의사항친구톡 광고 메시지가 실패하여 광고 SMS로 대체 발송되는 경우, 반드시 080 수신 거부 번호가 등록되어 있어야 합니다.
resendContent필드를 입력한 경우: SMS 광고 API의 광고 문구 규격에 맞게 필수 광고 문구를 포함해야 정상 대체 발송됩니다.resendContent필드를 입력하지 않은 경우: 등록된 080 수신 거부 번호를 활용하여 광고 문구를 자동 생성하여 대체 발송됩니다.
인증
POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.
본문
application/json
응답
성공적인 메시지 발송입니다
⌘I
